body {
    background-color: #FFFFFF;
}

body.goanywhere {
    font-family: 'Hind Vadodara', sans-serif;
    font-size: 17px;
    font-weight: 400;
    line-height: 19px;
    color: #333333;
    margin: 0px;
    padding: 0px;
    overflow-y: scroll;
}

/* Start Login page */

body.LoginForm {
    background-color: #FFFFFF;
}

div.LoginFormOuter {
    padding: 40px 10px;
    text-align: center;
}

div.LoginFormInner {
    text-align: left;
}

table.LoginPage {
    width: 100%;
    height: 100%;
    background-color: #FFFFFF;
}

.goanywhere.LoginForm1 td {
    font-family: 'Hind Vadodara', sans-serif;
}

table.LoginFormPanel {
    background-color: #F5F5F5;
    border: 1px solid #CCCCCC;
    border-radius: 6px !important;
    padding: 15px;
    vertical-align: middle;
}

.loginHr {
    border: none;
    background-color: #DDDDDD;
    height: 1px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.loginH2 {
    color: #004442;
    font-size: 22px;
    margin-left: 4px;
    margin-top: 0;
}

td.LoginFormPanel {
    text-align: center;
}

.loginButton {
    color: #FFFFFF !important;
    background-color: #006A56 !important;
    border: 0px solid #77ECC2 !important;
    white-space: normal !important;
    padding: 8px 12px 10px 12px !important;
    font-size: 17px !important;
    line-height: 22px;
    border-radius: 6px !important;
    margin-left: 6px !important;
    margin-top: 16px !important;
    font-weight: normal !important;
    text-align: center !important;
    vertical-align: middle !important;
    cursor: pointer;
}

.loginButton:hover {
    color: #77ECC2 !important;
    background-color: #004442 !important;
}

/* End Login page */

/* Start Page Header/Footer */

table.PageHeader {
    width: 100%;
    background-color: #006A56;
}

td.PageHeader {
    text-align: right;
    vertical-align: top;
    padding: 10px 15px 10px 15px;
    color: #FFFFFF;
}

div.PageHeader {
    text-align: right;
    vertical-align: top;
    padding: 5px;
}

.PageHeader a:link {
    color: #8FE5F2;
}

.PageHeader a:hover {
    color: #FFFFFF;
    text-decoration: none;
}

.PageHeader a:visited {
    color: #8FE5F2;
}

.PageFooter {
    width: 100%;
    height: 100%;
    color: #FFFFFF;
    background-color: #004442;
    text-align: center;
    padding-top: 5px;
}

/* End Page Header/Footer */

/* Start MenuBar */

.ui-menu.ui-menubar {
    min-width: 750px;
    background: #004442 !important;
    border-radius: 0 !important;
    white-space: nowrap;
}

.ui-menu.ui-menubar .ui-menuitem {
    margin: 0 !important;
    margin-left: 20px !important;
}

.ui-menu.ui-menubar .ui-menuitem-link .ui-menuitem-text {
    margin: 12px 8px 12px 8px;
    font-size: 18px !important;
}

.ui-menu.ui-menubar .ui-menuitem-link {
    color: #FFFFFF !important;
    padding: 0 !important;
    border-width: 0 !important;
}

.ui-menu.ui-menubar .ui-menuitem-link.ui-state-hover {
    color: #77ECC2 !important;
}

.ui-menu.ui-menubar .ui-menuitem-link .ui-icon {
    background-image: url(/wcpadmin/jakarta.faces.resource/images/ui-icons_ffffff_256x240.png.xhtml?ln=primefaces-bootstrap);
    margin: 12px 2px 12px -4px;
}

.ui-menu.ui-menubar.ui-widget {
    min-width: 160px;
    background-color: #77ECC2;
    padding: 0;
    border: 0;
    border-radius: 6px;
    background-clip: padding-box;
}

.ui-menu.ui-menubar .ui-menu-child {
    white-space: nowrap;
    width: auto !important;
    min-width: 150px !important;
    padding: 2px 0 2px 0 !important;
    border: 0;
    border-radius: 6px;
}

.ui-menu.ui-menubar .ui-menu-child a.ui-state-hover {
    background-color: #F0F0F0 !important;
    text-decoration: none !important;
}

.ui-menu.ui-menubar .ui-menu-child .ui-menuitem-text {
    text-transform: none !important;
    color: #004442 !important;
    font-size: 17px !important;
    margin: 4px 12px !important;
    padding: 5px !important;
}

.ui-menu.ui-menubar .ui-menu-list .ui-widget-content {
    border-radius: 6px !important;
    background-color: #FFFFFF !important;
    border: 1px solid #CCCCCC !important;
}

.ui-menu.ui-menubar .ui-menu-list .ui-widget-content.ui-menu-list .ui-menuitem {
    margin: 0 !important;
}

/* End MenuBar */

/* Start Dashboard */

.dashboard-panel {
    padding: 5px;
    vertical-align: middle;
    text-align: center;
    height: 180px;
    transition: all .4s ease;
}

a.dashboard-link:link {
    color: #004442;
    background-color: #F5F5F5;
    border: 1px solid #CCCCCC;
    border-radius: 6px !important;
    text-decoration: none;
}

a.dashboard-link:hover {
    color: #77ECC2;
    background-color: #004442;
    border: 1px solid #77ECC2;
}

a.dashboard-link:visited {
    color: #004442;
    background-color: #F5F5F5;
    border: 1px solid #CCCCCC;
}

/* End Dashboard */

/* Start AboutPanel */

.aboutPanel {
    padding: 2px 20px 2px 2px;
    vertical-align: top;
    white-space: nowrap;
}

.aboutPanel .ui-panel.ui-widget.ui-widget-content {
    border: 1px solid #CCCCCC;
}

.aboutPanelProduct {
    padding: 2px 20px 2px 2px;
    vertical-align: top;
    white-space: nowrap;
}

/* End AboutPanel */

/* Start Tool-bar */

.ui-toolbar, .ui-toolbar-group-right, .ui-toolbar-group-left {
    white-space: nowrap;
}

.ui-toolbar .ui-button {
    margin-right: 6px;
}

.ui-toolbar.ui-widget-header {
    background-color: #F5F5F5 !important;
    background-image: none;
    border: 1px solid #CCCCCC;
    margin-top: 10px;
    margin-bottom: 10px;
    border-radius: 6px !important;
}

/* End Tool-bar */

/* Start Filter-panel */

.filterPanel {
    padding: 0;
    border: 0;
    margin-top: 10px;
    margin-bottom: 10px;
}

.filterPanel .ui-panel-content {
    background-color: #F5F5F5 !important;
    padding: 5px;
    border: 1px solid #CCCCCC !important;
    border-radius: 6px !important;
}

.filterPanelInner {
    padding: 5px;
    border: 0 !important;
}

/* End Filter-panel */

/* Start DataTable */

.ui-datatable table {
    border-collapse: collapse;
    width: 100%;
    table-layout: auto;
}

.ui-datatable thead th {
    text-align: left;
    vertical-align: middle;
}

.ui-datatable th.ui-state-default {
    background-color: #F0F0F0;
    border: 1px solid #CCCCCC !important;
    border-radius: 0 !important;
    padding: 7px !important;
}

.ui-datatable .ui-paginator {
    text-align: left !important;
}

.ui-datatable .ui-paginator.ui-paginator-top.ui-widget-header,
.ui-datatable .ui-paginator.ui-paginator-bottom.ui-widget-header {
    background-color: #F5F5F5 !important;
    color: #333333 !important;
    padding: 5px;
}

.ui-datatable .ui-paginator .ui-paginator-page {
    background-color: #F0F0F0;
    border: 1px solid #CCCCCC !important;
    padding: 8px 12px;
    min-width: 16px;
    text-align: center;
}

.ui-datatable .ui-paginator .ui-paginator-current {
    white-space: nowrap;
}

.ui-datatable .ui-paginator-pages {
    padding: 6px !important;
}

.ui-datatable .ui-paginator .ui-paginator-first,
.ui-datatable .ui-paginator .ui-paginator-last,
.ui-datatable .ui-paginator .ui-paginator-prev,
.ui-datatable .ui-paginator .ui-paginator-next {
    background-color: #F0F0F0;
    border: 1px solid #CCCCCC !important;
    padding: 8px 12px;
}

.ui-datatable .ui-paginator .ui-paginator-page:hover,
.ui-datatable .ui-paginator .ui-paginator-first:hover,
.ui-datatable .ui-paginator .ui-paginator-last:hover,
.ui-datatable .ui-paginator .ui-paginator-prev:hover,
.ui-datatable .ui-paginator .ui-paginator-next:hover {
    background-color: #F9F9F9;
}

.ui-datatable .ui-paginator .ui-paginator-page.ui-state-active,
.ui-datatable .ui-paginator .ui-paginator-first.ui-state-active,
.ui-datatable .ui-paginator .ui-paginator-last.ui-state-active,
.ui-datatable .ui-paginator .ui-paginator-prev.ui-state-active,
.ui-datatable .ui-paginator .ui-paginator-next.ui-state-active {
    background-color: #FFFFFF;
}

.ui-datatable .ui-paginator-rpp-options {
    background-color: #F0F0F0 !important;
    border: 1px solid #CCCCCC !important;
    padding-top: 4px;
    padding-bottom: 4px;
    padding-left: 10px;
    width: 65px;
    outline: none !important;
}

.ui-datatable .ui-paginator-rpp-options:hover {
    background-color: #F9F9F9 !important;
}

.ui-datatable .ui-datatable-odd {
    background-color: #F9F9F9 !important;
}

.ui-datatable table.ui-selectoneradio td {
    padding: 0px 4px !important;
}

.ui-datatable .disabled-datatable-row {
    color: #7F7F7F !important;
}

.ui-datatable-data {
    font-size: 17px !important;
}

.ui-datatable-data .ui-commandlink {
    color: #004667 !important;
}

.ui-datatable-data .ui-commandlink:hover {
    color: #11719C !important;
}

/* End DataTable */

/* Start Dataview */

.ui-dataview-header {
    border: 0px;
    display: none;
}

.ui-dataview-content {
    border-radius: 6px !important;
}

.ui-dataview-row hr {
    border: 0px;
    height: 0px;
    margin-bottom: 0px;
}

/* End Dataview */

/* Start Tabs */

.ui-tabs {
    margin: 0 !important;
    padding: 0 !important;
    border: 0 !important;
}

.ui-tabs-nav.ui-widget-header {
    background-color: #F5F5F5 !important;
    border: 1px solid #CCCCCC !important;
    border-radius: 6px 6px 0px 0px !important;
    padding-top: 15px !important;
}

.ui-tabs-header {
    background-color: #F0F0F0 !important;
    border: 1px solid #CCCCCC !important;
    border-bottom: 0 !important;
    margin-left: 5px !important;
}

.ui-tabs-header a {
    font-size: 17px;
    color: #004442 !important;
    border-radius: 6px 6px 0px 0px !important;
}

.ui-tabs-header:hover {
    background-color: #F9F9F9 !important;
}

.ui-tabs-header.ui-tabs-selected {
    background-color: #FFFFFF !important;
}

/* End Tabs */

/* Start Accordion */

.ui-accordion {
    margin-bottom: 10px !important;
}

.ui-accordion-header {
    color: #333333 !important;
    background-color: #F0F0F0 !important;
    border: 1px solid #CCCCCC !important;
    border-radius: 6px 6px 0px 0px !important;
    margin: 0;
    padding: 6px 30px !important;
    outline: none !important;
    font-size: 18px !important;
    white-space: nowrap;
}

.ui-accordion-header:hover {
    background-color: #F5F5F5 !important;
}

.ui-accordion-header .ui-icon {
    background-image: url(/wcpadmin/jakarta.faces.resource/images/ui-icons_333333_256x240.png.xhtml?ln=primefaces-bootstrap) !important;
    display: block !important;
}

/* End Accordion */

/* Start Buttons */

.ui-button {
    margin-bottom: 0px;
    margin-top: 0px;
}

.ui-button-icon-only {
    border: 1px solid #CCCCCC !important;
    background-color: #F0F0F0 !important;
    padding: 0 !important;
}

.ui-button-text-only,
.ui-button-text-icon-left {
    color: #FFFFFF !important;
    background-color: #006A56 !important;
    border: 0px solid #77ECC2 !important;
    border-radius: 6px;
    filter: none !important;
    box-shadow: none !important;
    text-shadow: none !important;
}

.ui-button-text-only .ui-button-text,
.ui-button-text-icon-left .ui-button-text {
    padding: 6px 12px 8px 12px !important;
    font-size: 17px;
    border-radius: 6px;
}

.ui-button-icon-only .ui-button-text {
    text-indent: -9999999px;
}

.ui-button:hover {
    color: #77ECC2 !important;
    background-color: #004442 !important;
}

.ui-spinner-button.ui-spinner-up {
    border: 1px solid #CCCCCC !important;
    border-radius: 4px 4px 0 0 !important;
}

.ui-spinner-button.ui-spinner-down {
    border: 1px solid #CCCCCC !important;
    border-radius: 0 0 4px 4px !important;
}

.ui-spinner-button.ui-spinner-up.ui-corner-tr.ui-button.ui-widget.ui-state-default.ui-button-text-only,
.ui-spinner-button.ui-spinner-down.ui-corner-br.ui-button.ui-widget.ui-state-default.ui-button-text-only {
    background-color: #F0F0F0 !important;
}

.ui-spinner-button.ui-spinner-up.ui-corner-tr.ui-button.ui-widget.ui-state-default.ui-button-text-only:hover,
.ui-spinner-button.ui-spinner-down.ui-corner-br.ui-button.ui-widget.ui-state-default.ui-button-text-only:hover {
    background-color: #F9F9F9 !important;
}

.ui-button-icon-only:hover {
    background-color: #F9F9F9 !important;
}

/* End Buttons */

/* Start Select Menus */

.ui-selectonemenu {
    border: 1px solid #CCCCCC !important;
    overflow: hidden;
    box-shadow: none !important;
    outline: none !important;
}

.ui-selectonemenu .ui-selectonemenu-label {
    padding: 6px 16px 6px 6px !important;
    box-shadow: none !important;
    outline: none !important;
}

.ui-selectonemenu .ui-selectonemenu-trigger {
    background-color: #F0F0F0 !important;
    border-left: 1px solid #CCCCCC !important;
    box-shadow: none !important;
    outline: none !important;
}

.ui-selectonemenu .ui-selectonemenu-trigger:hover {
    background-color: #F9F9F9 !important;
}

.ui-selectonemenu-panel {
    border: 1px solid #CCCCCC !important;
}

.ui-selectonemenu-items.ui-selectonemenu-list {
    background-color: #FFFFFF !important;
}

.ui-selectonemenu-item.ui-selectonemenu-list-item:hover {
    background-color: #F0F0F0 !important;
}

.ui-selectcheckboxmenu {
    border: 1px solid #CCCCCC !important;
    box-shadow: none !important;
    outline: none !important;
}

.ui-selectcheckboxmenu-panel {
    border: 1px solid #CCCCCC !important;
    background-color: #FFFFFF !important;
}

.ui-selectcheckboxmenu-panel.ui-widget.ui-widget-content {
    background-color: #FFFFFF !important;
}

.ui-selectcheckboxmenu-items.ui-selectcheckboxmenu-list {
    background-color: #FFFFFF !important;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-label {
    padding: 12px 32px 12px 12px !important;
    background-color: #FFFFFF !important;
    box-shadow: none !important;
    outline: none !important;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
    background-color: #F0F0F0 !important;
    border-left: 1px solid #CCCCCC !important;
    box-shadow: none !important;
    outline: none !important;
    align-content: center !important;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger:hover {
    background-color: #F9F9F9 !important;
}

.ui-selectcheckboxmenu-multiple.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
    border-left: 1px solid #CCCCCC !important;
    box-shadow: none !important;
    outline: none !important;
    align-content: initial !important;
}

.ui-selectcheckboxmenu-item.ui-selectcheckboxmenu-list-item:hover {
    background-color: #F0F0F0 !important;
}

.ui-selectcheckboxmenu-token {
    background-color: #F0F0F0 !important;
    background-image: none;
}

.ui-autocomplete .ui-autocomplete-dropdown {
    width: 1.4em !important;
    right: -2px !important;
}

.ui-autocomplete-dropdown.ui-button {
    background-color: #F0F0F0 !important;
    box-shadow: none !important;
}

.ui-autocomplete-dropdown.ui-button:hover {
    background-color: #F9F9F9 !important;
}

.ui-autocomplete-panel {
    border: 1px solid #CCCCCC !important;
}

.ui-autocomplete-items.ui-autocomplete-list {
    background-color: #FFFFFF !important;
    font-size: 17px !important;
}

.ui-autocomplete-item.ui-autocomplete-list-item:hover {
    background-color: #F0F0F0 !important;
}

/* End Select Menus */

/* Start Pick-list */

.ui-picklist {
    margin-bottom: 10px;
}

.ui-picklist-caption {
    padding: 8px !important;
    border: 1px solid #CCCCCC !important;
}

.ui-picklist-list {
    border: 1px solid #CCCCCC !important;
}

.ui-picklist-list .ui-picklist-item {
    padding: 7px !important;
    outline: none !important;
}

.ui-picklist-list .ui-picklist-item:hover {
    background-color: #F5F5F5 !important;
}

.ui-picklist-item.ui-corner-all.ui-sortable-handle.ui-state-highlight {
    background-color: #F3F3F3 !important;
    border: none !important;
}

.ui-picklist-buttons .ui-button {
    border: 1px solid #CCCCCC !important;
    background: #F0F0F0 !important;
}

.ui-picklist-buttons .ui-button:hover {
    background: #F9F9F9 !important;
}

/* End Pick-list */

/* Start Fieldset */

.ui-fieldset {
    border: 1px solid #CCCCCC !important;
}

.ui-fieldset-legend {
    background: none !important;
    border: none !important;
    padding: 5px !important;
    cursor: default !important;
    font-size: 20px !important;
    color: #006A56 !important;
    font-weight: bold !important;
    padding-bottom: 20px !important;
}

/* End Fieldset */

/* Start Loader */

.pi.pi-spin.pi-spinner {
    font-size: 24px !important;
}

.ui-icon.pi.pi-spin.pi-spinner {
    font-size: 24px !important;
    width: 30px !important;
    height: 30px !important;
    padding: 1px !important;
}

/* End Loader */

/* Start Dialog */

.ui-dialog {
    border: 1px solid #CCCCCC !important;
}

.ui-dialog.ui-widget-content .ui-dialog-content {
    font-size: 17px !important;
}

.ui-dialog-titlebar.ui-widget-header {
    border: 1px solid #CCCCCC !important;
}

.ui-dialog-content table.FormPanel {
    background-color: none !important;
    border-width: 0px !important;
}

.ui-dialog.ui-widget-content .ui-dialog-title {
    font-size: 18px;
}

.disable-scroll .ui-dialog-content {
    overflow: hidden !important;
}

/* End Dialog */

/* Start Messages */

.Info {
    color: #25A0CF;
}

.Warn {
    color: #FFAE00;
}

.Error {
    color: #CF4833;
}

.Fatal {
    font-weight: bold;
    color: #CF4833;
}

.ui-messages-error {
    color: #CF4833;
    border-color: #CF4833 !important;
}

.ui-outputlabel.ui-state-error {
    background-image: none;
    background-color: transparent;
    color: #CF4833;
}

/* End Messages */

.goanywhere h1, h2, h3, h4, h5, h6 {
    font-family: 'Lato', sans-serif;
}

h1, .h1 {
    font-size: 44px;
    color: #004442;
    font-weight: 300;
}

h2, .h2 {
    font-size: 34px;
    color: #004442;
    font-weight: 400;
}

h3, .h3 {
    font-size: 24px;
    color: #004442;
    font-weight: 400;
}

h4, .h4 {
    font-size: 20px;
    color: #004442;
    font-weight: 400;
}

h5, .h5 {
    font-size: 18px;
    color: #004442;
    font-weight: 400;
}

h6, .h6 {
    font-size: 16px;
    color: #004442;
    font-weight: 400;
}

table {
    empty-cells: show;
}

.Null {
    font-style: italic;
    color: #808080;
}

.Disabled {
    color: #999999;
}

.Expired {
    color: #CF4833;
}

.OffMaintenanceDisabled {
    color: #EBB4AB;
}

.Note {
    font-style: italic;
    color: #0000FF;
}

a:link {
    color: #004667;
    text-decoration: none;
}

a:hover {
    color: #11719C;
    text-decoration: none;
}

a:visited {
    color: #004667;
    text-decoration: none;
}

div.Note {
    border: 1px solid #CCCCCC;
    background-color: #FFFFCC;
    color: #333333;
}

form {
    margin: 0px;
}

img.InlineIcon {
    vertical-align: middle;
    margin-right: 2px;
    border: 0;
}

fieldset {
    padding: 15px 10px;
    margin-top: 10px;
    border: 1px solid #CCCCCC;
}

legend {
    font-size: 22px !important;
    color: #58606D !important;
}

#layoutLeft {
    margin: 10px 0px 10px 10px;
    border-left: 1px solid #CCCCCC;
    border-bottom: 1px solid #CCCCCC;
}

.tdTop {
    vertical-align: top;
}

table.Content {
    width: 100%;
    background-color: #FFFFFF;
}

td.Content {
    text-align: left;
    vertical-align: top;
    padding: 10px;
}

div.Content {
    text-align: left;
    vertical-align: top;
    padding: 10px;
}

table.FormPanel {
    background-color: #FFFFFF;
    width: 100%;
    border: 1px solid #CCCCCC;
}

td.FormPanel {
    padding: 5px;
}

.formPanelInner {
    padding: 10px;
}

table.Form {
    visibility: visible;
}

table.FormTable {
    visibility: visible;
    margin: 5px 5px 5px 5px;
}

.FieldValue {
    padding: 5px;
    vertical-align: top;
}

.FieldLabel {
    padding: 5px;
    vertical-align: top;
    white-space: nowrap;
}

.goanywhere .FieldValue input {
    font-family: 'Hind Vadodara', sans-serif !important;
    font-size: 17px !important;
    height: 24px !important;
    padding: 6px 12px !important;
    line-height: 24px !important;
    color: #555 !important;
    background-color: #FFFFFF !important;
    background-image: none !important;
    border: 1px solid #CCCCCC !important;
    border-radius: 4px !important;
    box-shadow: none !important;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s !important;
}

.FieldValue input:focus {
    border: 1px solid #CCCCCC !important;
}

.FieldValue span .ui-spinner-input {
    height: 40px !important;
    padding-right: 24px !important;
}

.FieldValue input[type=text] {
    vertical-align: top;
    margin: 0px;
}

.FieldValue input[type=password] {
    vertical-align: top;
    margin: 0px;
}

.FieldValue input[type=radio] {
    vertical-align: top;
    margin: 0px;
}

.goanywhere .FieldValue select {
    font-family: 'Hind Vadodara', sans-serif !important;
    font-size: 17px !important;
    height: 24px !important;
    padding: 6px 12px !important;
    line-height: 24px !important;
    color: #555 !important;
    background-color: #FFFFFF !important;
    background-image: none !important;
    border: 1px solid #CCCCCC !important;
    border-radius: 4px !important;
    box-shadow: none !important;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s !important;
    margin: 0 0 0 2px;
}

td.NumericFieldValue {
    vertical-align: top;
    padding-left: 2px;
    padding-top: 2px;
    padding-bottom: 2px;
    padding-right: 20px;
    text-align: right;
    white-space: nowrap;
}

table.Data {
    width: 100%;
    border: 1px solid #CCCCCC;
    border-collapse: collapse;
    empty-cells: show;
}

tr.Even {
    background-color: #FFFFFF !important;
}

tr.Odd {
    background-color: #F9F9F9 !important;
}

tr.Highlighted {
    background-color: #faf6d2 !important;
}

td.Data {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    border: 1px solid #CCCCCC;
    white-space: nowrap;
    vertical-align: middle;
}

td.InplaceEdits {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    border: 1px solid #CCCCCC;
    white-space: nowrap;
    vertical-align: top;
    height: 17px;
}

td.ListItems {
    padding-top: 2px;
    padding-bottom: 2px;
}

td.InputData {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    border: 1px solid #CCCCCC;
    white-space: nowrap;
    vertical-align: center;
}

td.LogData {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    border: 1px solid #CCCCCC;
    white-space: nowrap;
    vertical-align: top;
    font-size: 0.9em;
}

td.WrapData {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    border: 1px solid #CCCCCC;
    vertical-align: top;
}

td.NumericData {
    white-space: nowrap;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    border: 1px solid #CCCCCC;
    text-align: right;
    vertical-align: middle;
}

th.ImageData {
    white-space: nowrap;
    text-align: center !important;
    vertical-align: middle;
}

td.ImageData {
    white-space: nowrap;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    border: 1px solid #CCCCCC;
    text-align: center;
    vertical-align: middle;
}

th.ImageDataThin {
    white-space: nowrap;
    text-align: center !important;
    vertical-align: middle;
}

td.ImageDataThin {
    white-space: nowrap;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    border: 1px solid #CCCCCC;
    width: 20px;
    text-align: center;
    vertical-align: top;
}

td.ActionIcons {
    text-align: center;
    width: 15px;
    vertical-align: middle;
}

td.InputActionIcons {
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    border: 1px solid #CCCCCC;
    white-space: nowrap;
    width: 12px;
    text-align: center;
    vertical-align: middle;
}

td.Buttons {
    padding-left: 5px;
    padding-right: 5px;
    border: 1px solid #CCCCCC;
    white-space: nowrap;
    text-align: left;
    vertical-align: top;
}

td.CheckBox {
    padding-left: 5px;
    padding-right: 5px;
    border: 1px solid #CCCCCC;
    width: 25px;
    text-align: center;
    vertical-align: top;
}

td.InputCheckBox {
    padding-left: 5px;
    padding-right: 5px;
    border: 1px solid #CCCCCC;
    width: 25px;
    text-align: center;
    vertical-align: middle;
}

th.CheckBox {
    font-weight: bold;
    color: #ffffff;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    text-align: left;
    width: 10px;
}

label.CheckBox {
    font-weight: normal;
    margin-right: 20px;
    padding-left: 0px;
    margin-left: 0px;
}

label.CheckBoxDisabled {
    font-weight: normal;
    margin-right: 20px;
    padding-left: 0px;
    margin-left: 0px;
    color: #999999;
}

table.CheckBox {
    padding: 0px;
    margin: 0px;
    border-spacing: 0px;
    border-collapse: collapse;
}

table.CheckBox td {
    padding: 0px;
}

table.RadioButtons label {
    font-weight: normal;
    margin-right: 20px;
}

th.ActionIcons {
    font-weight: bold;
    padding-top: 2px;
    padding-bottom: 2px;
    text-align: left;
    width: 10px;
}

th.Data {
    font-weight: bold;
    color: #ffffff;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
    text-align: left;
    white-space: nowrap;
}

a.DataHeader {
    font-weight: bold;
    color: #ffffff;
}

a.DataHeader:link {
    color: #ffffff;
    text-decoration: none;
}

a.DataHeader:hover {
    color: #ffffff;
    text-decoration: underline;
}

a.DataHeader:visited {
    color: #ffffff;
    text-decoration: none;
}

a.DataHeader:active {
    color: #ffffff;
    text-decoration: none;
}

.CloseIcon {
    cursor: pointer;
    border: none;
}

.QuickHelpVisible {
    background-color: #FFFFCC;
    text-align: left;
    vertical-align: top;
    padding: 4px;
    border: 1px solid #CCCCCC;
    overflow: auto;
    visibility: visible;
    width: 300px;
    position: absolute;
    z-index: 100;
    white-space: normal;
}

.PopupInvisible {
    background-color: #FFFFFF;
    overflow: auto;
    width: 0px;
    height: 0px;
    z-index: 100;
    visibility: hidden;
    position: absolute;
    border: none;
}

.OptionsVisible {
    background-color: #FFFFFF;
    overflow: auto;
    width: 350px;
    height: 150px;
    z-index: 100;
    visibility: visible;
    position: absolute;
    border: 1px solid #CCCCCC;
}

table.options {
    width: 100%;
    border-collapse: collapse;
    empty-cells: show;
}

table.Options {
    width: 100%;
    border-collapse: collapse;
    empty-cells: show;
}

tr.OptionsEven {
    background-color: #FFFFFF;
}

tr.OptionsOdd {
    background-color: #F9F9F9;
}

td.Options {
    vertical-align: top;
    padding: 2px;
    border-right: 1px solid #CCCCCC;
    font-weight: normal;
}

th.Options {
    font-weight: bold;
    color: #ffffff;
    padding: 2px;
    text-align: left;
}

tr.HighlightedOption {
    background-color: #FFFFCC;
    cursor: pointer;
}

span.AvailableActions {
    white-space: nowrap;
    padding-right: 10px;
}

a.AvailableAction {
    vertical-align: top;
    white-space: nowrap;
    margin-right: 10px;
    font-weight: bold;
}

.AvailableAction:link {
    color: #000000;
    text-decoration: none;
}

.AvailableAction:visited {
    color: #000000;
}

.AvailableAction:active {
    color: #000000;
}

.AvailableAction:hover {
    color: #000000;
    text-decoration: underline;
}

textarea {
    padding: 0px;
    margin: 0px;
}

.ui-inputfield.ui-inputtext.ui-widget {
    border: 1px solid #CCCCCC !important;
}

.ui-inputfield.ui-inputtextarea.ui-widget {
    border: 1px solid #CCCCCC !important;
}

.ui-chkbox-box.ui-widget {
    border: 1px solid #CCCCCC !important;
    background-color: #FFFFFF;
    outline: none !important;
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
    background-image: none;
    text-shadow: none !important;
    filter: none !important;
    box-shadow: none !important;
}

.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active {
    background-image: none;
    box-shadow: none;
}

.ui-icon-blank {
    display: none !important;
}

checkbox {
    padding: 0px;
    margin: 0px;
    color: maroon;
    background-color: red;
}

radio {
    padding: 0px;
    margin: 0px;
}

button.Hidden {
    visibility: hidden;
}

a.NoPadding {
    padding-left: 0px;
    padding-right: 0px;
    margin-left: 0px;
}

.ActionIcon {
    border: 0px;
    width: 12px;
    height: 12px;
    cursor: pointer;
}

.ActionIconDisabled {
    border: 0px;
    width: 12px;
    height: 12px;
}

img.TreeNode {
    border: none;
    margin-right: 3px;
    vertical-align: middle;
}

.ActiveTab {
    font-weight: bold;
}

.InactiveTab {
    font-weight: normal;
}

div.SystemProperties {
    width: 100%;
    height: 300px;
    overflow: scroll;
}

.NoPadding {
    padding: 0px;
}

img.Dashboard {
    border: 0px;
}

table.Dashboard {
    width: 700px;
}

td.Dashboard {
    text-align: center;
    font-weight: bold;
    width: 100px;
}

img.SortIcon {
    border: 0px;
    margin-left: 10px;
}

img.QuickHelp {
    border: 0px;
    margin-left: 5px;
}

select.PickList {
    width: 200px;
}

.noPadding {
    padding: 0px;
}

table.NoMargin label {
    margin: 0px;
}

td.Panel {
    padding: 5px;
}

.InputValueDesc {
    display: inline;
    vertical-align: bottom;
    position: relative;
    top: -3px;
}

.NumericHeader {
    text-align: right;
    height: auto;
}

.ui-sortable-column {
    white-space: nowrap;
}

.ui-sortable-column span {
    white-space: nowrap;
}

.ui-radiobutton {
    margin-left: -3px;
}

.ui-radiobutton-icon {
    display: block;
}

.ui-selectmanycheckbox {
    margin-left: 0px;
    padding-left: 0px;
    border-spacing: 0px;
    white-space: nowrap !important;
}

.ui-selectmanycheckbox td {
    vertical-align: middle;
}

.ui-selectmanycheckbox.ui-grid.ui-grid-responsive {
    padding-left: 0 !important;
    padding-bottom: 5px !important;
}

.ui-selectmanycheckbox.ui-grid.ui-grid-responsive .ui-g-12 {
    padding-left: 0 !important;
    padding-right: 20px !important;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}

.ui-selectmanycheckbox.ui-grid.ui-grid-responsive .ui-g-12 label {
    padding-right: 20px !important;
    background: transparent !important;
}

.ui-outputlabel-rfi {
    color: #ff0000;
}

.ui-widget .ui-widget {
    font-size: 17px !important;
    line-height: 17px !important;
}

.goanywhere .ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button {
    font-family: 'Hind Vadodara', sans-serif !important;
    font-size: 17px;
}

.ui-outputlabel.ui-widget {
    font-weight: bold !important;
}

.ui-state-active, .ui-state-default {
    box-shadow: none;
}

.ui-state-highlight, .ui-widget-content .ui-state-highlight, .ui-widget-header .ui-state-highlight {
    text-shadow: none;
    background: transparent !important;
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
    text-shadow: none;
}

/* form panel */

.formPanel .ui-panel-content {
    padding: 6px;
    border: 0 !important;
}

div.formPanel {
    padding: 0px;
}

.formPanel {
    padding: 10px;
}

.ui-panel {
    padding: 0 !important;
    border: 0 !important;
}

.ui-panel-titlebar.ui-widget-header {
    border: 1px solid #CCCCCC !important;
    padding: 8px !important;
    border-radius: 6px 6px 0 0 !important;
    margin-bottom: 20px !important;
}

.outputpanel {
    padding: 6px;
}

.ui-panelgrid, .ui-panelgrid-cell {
    padding: 5px !important;
    border: none !important;
}

.PanelGrid .ui-panelgrid-content {
    border: none !important;
}

.PanelGrid .ui-panelgrid-cell {
    border: none !important;
    align-content: center !important;
}

.ui-widget-content {
    background-color: #FFFFFF !important;
}

.ui-panel-footer .ui-widget-content {
    border: none !important;
}

.ui-icon {
    border-radius: 0px !important;
}

.alignVertical {
    vertical-align: top;
}

.ui-state-highlight {
    color: #333333 !important;
}

.ui-helper-reset {
    font-size: 1.1em !important;
}

td.lic-status-icon {
    border-width: 0px !important;
    padding: 0px !important;
    text-align: left !important;
    width: 16px;
}

td.lic-status {
    border-width: 0px !important;
    padding: 0px !important;
    text-align: left !important;
    width: 50px;
}

.noborder tr,
.noborder td {
    border: none !important;
    border: 0 !important;
}

.textAreaCounter {
    float: right;
    font-style: italic;
    padding-right: 2px;
    padding-top: 2px;
}

.borderedPanel {
    border: 1px solid #CCCCCC;
    padding: 2px;
}

.ui-inputfield, .ui-widget-content .ui-inputfield, .ui-widget-header .ui-inputfield {
    font-size: 17px !important;
    line-height: 24px !important;
    color: #555 !important;
    background-color: #FFFFFF !important;
    background-image: none !important;
    border-radius: 4px !important;
    padding: 6px 24px 6px 6px !important;
}

.ui-widget-content {
    background-color: #FFFFFF !important;
}

.ui-shadow {
    box-shadow: none !important;
}

.ui-widget-header {
    background-color: #F0F0F0 !important;
    background-image: none;
    border: 1px solid #CCCCCC;
    font-weight: bold;
    padding: 6px;
    color: #004442 !important;
}

.ui-widget {
    font-family: inherit;
}

.ui-treetable tbody td {
    overflow: visible;
    white-space: normal;
}

.table {
    display: table;
}

.table-cell {
    display: table-cell;
}

.ui-state-hover {
    background: transparent !important;
}

.ui-state-hover .red-icon, .red-icon:hover {
    color: #ff3a3a !important;
}

.small-icon {
    font-size: 14px;
}

iframe {
    border: 1px solid #CCCCCC !important;
    border-radius: 6px !important;
}

/* Start Growl */

.ui-growl {
    right: 50px;
    bottom: 50px;
    left: auto;
    top: auto;
    width: 320px;
    max-width: calc(100vw - 100px);
    background-color: #8FE5F2 !important;
    font-size: 17px !important;
    border-radius: 10px !important;
    padding: 0 !important;
    margin: 0 !important;
    box-sizing: border-box;
}

.ui-growl-item-container {
    border-radius: 10px !important;
    border: 1px solid #CCCCCC !important;
    padding: 0 !important;
    margin: 0 !important;
    box-sizing: border-box;
}

.ui-growl-item,
.ui-growl-message {
    box-sizing: border-box;
}

.ui-growl-message {
    float: none !important;
    width: auto !important;
    margin: 0 !important;
    padding: 12px 18px !important;
    overflow-wrap: anywhere;
    white-space: normal;
}

.ui-growl-title,
.ui-growl-detail {
    overflow-wrap: anywhere;
    white-space: normal;
}

.ui-growl-image,
.ui-growl-icon-close {
    display: none !important;
}

/* End Growl */

/* Start CopyIcon */

.ui-commandlink.CopyIcon {
    color: #006A56 !important;
    font-size: 12px !important;
}

.ui-commandlink.CopyIcon:hover {
    color: #77ECC2 !important;
}

/* End CopyIcon */

